#pragma once


#include <JUI/Widgets/TextRect.hpp>
#include "ReWindow/InputService.h"

namespace JUI
{
    class Tooltip : public TextRect
    {
    public:
        Tooltip() : TextRect() {
            Name("Tooltip");
        }
        explicit Tooltip(Widget* parent) : Tooltip()
        {
            this->Parent(parent);
            this->AutoFitSizeToText(true);
            this->ZIndex(10);
            this->Visible(false);
            this->Size({100_px, 20_px});

        }

        void Update(float delta) override
        {

            if (parent && parent->IsMouseInside() || IsMouseInside())
            {
                auto coords = InputService::GetMousePosition();
                Position(UDim2::FromPixels(coords.x, coords.y));
                Visible(true);
            } else
                Visible(false);


            TextRect::Update(delta);
        }
        ~Tooltip() override {};

    protected:
    };
}